Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
iseq_compile_data Struct Reference

`#include <iseq.h>`

## Data Fields
const VALUE | err_info
const VALUE | catch_table_ary
struct iseq_label_data * | start_label
struct iseq_label_data * | end_label
struct iseq_label_data * | redo_label
const rb_iseq_t * | current_block
struct iseq_compile_data_ensure_node_stack * | ensure_node_stack
struct {
struct iseq_compile_data_storage * storage_head
struct iseq_compile_data_storage * storage_current
} | node
struct {
struct iseq_compile_data_storage * storage_head
struct iseq_compile_data_storage * storage_current
} | insn
int | loopval_popped
int | last_line
int | label_no
int | node_level
unsigned int | ci_index
unsigned int | ci_kw_index
const rb_compile_option_t * | option
struct rb_id_table * | ivar_cache_table
const struct rb_builtin_function * | builtin_function_table
struct {
struct iseq_compile_data_storage * storage_head
struct iseq_compile_data_storage * storage_current
} | node
struct {
struct iseq_compile_data_storage * storage_head
struct iseq_compile_data_storage * storage_current
} | insn

## Detailed Description

Definition at line 92 of file iseq.h.

## Field Documentation

## ◆ builtin_function_table

const struct rb_builtin_function * iseq_compile_data::builtin_function_table

Definition at line 119 of file iseq.h.

## ◆ catch_table_ary

const VALUE iseq_compile_data::catch_table_ary

Definition at line 95 of file iseq.h.

## ◆ ci_index

unsigned int iseq_compile_data::ci_index

Definition at line 115 of file iseq.h.

## ◆ ci_kw_index

unsigned int iseq_compile_data::ci_kw_index

Definition at line 116 of file iseq.h.

## ◆ current_block

const rb_iseq_t * iseq_compile_data::current_block

Definition at line 101 of file iseq.h.

## ◆ end_label

struct iseq_label_data * iseq_compile_data::end_label

Definition at line 99 of file iseq.h.

## ◆ ensure_node_stack

struct iseq_compile_data_ensure_node_stack * iseq_compile_data::ensure_node_stack

Definition at line 102 of file iseq.h.

## ◆ err_info

const VALUE iseq_compile_data::err_info

Definition at line 94 of file iseq.h.

## ◆ insn [1/2]

struct { ... } iseq_compile_data::insn

## ◆ insn [2/2]

struct { ... } iseq_compile_data::insn

## ◆ ivar_cache_table

struct rb_id_table * iseq_compile_data::ivar_cache_table

Definition at line 118 of file iseq.h.

## ◆ label_no

int iseq_compile_data::label_no

Definition at line 113 of file iseq.h.

## ◆ last_line

int iseq_compile_data::last_line

Definition at line 112 of file iseq.h.

## ◆ loopval_popped

int iseq_compile_data::loopval_popped

Definition at line 111 of file iseq.h.

## ◆ node [1/2]

struct { ... } iseq_compile_data::node

## ◆ node [2/2]

struct { ... } iseq_compile_data::node

## ◆ node_level

int iseq_compile_data::node_level

Definition at line 114 of file iseq.h.

## ◆ option

const rb_compile_option_t * iseq_compile_data::option

Definition at line 117 of file iseq.h.

## ◆ redo_label

struct iseq_label_data * iseq_compile_data::redo_label

Definition at line 100 of file iseq.h.

## ◆ start_label

struct iseq_label_data * iseq_compile_data::start_label

Definition at line 98 of file iseq.h.

## ◆ storage_current

struct iseq_compile_data_storage* iseq_compile_data::storage_current

Definition at line 105 of file iseq.h.

## ◆ storage_head

struct iseq_compile_data_storage* iseq_compile_data::storage_head

Definition at line 104 of file iseq.h.

The documentation for this struct was generated from the following files:

- iseq.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h